calcW {maigesPack} | R Documentation

## Method calcW to calculate W values

### Description

Generic function `calcW` to calculate W values from classes of microarray data objects defined in this package.

### Usage

    calcW(object, ...)

    ## Default S3 method:
    calcW(object, ...)

    ## S3 method for class 'maigesRaw':
    calcW(object, bkgSub="subtract", ...)

### Arguments

`object` | object of any class. But only some methods are defined in this moment.
`bkgSub` | character string indicating the type of background subtraction. May be 'none', 'subtract', 'half', 'minimum', 'movingmin', 'edwards', 'normexp' or 'rma'. Uses limma and defaults to 'subtract'.
`...` | additional parameters for `calcW` method.

### Details

This method receive an object (at moment of class `maiges`, `maigesRaw` or `maigesANOVA`) and returns the matrix of W values. For objects of class `maigesRaw` it uses the function `backgroundcorrect` from limma package to do background correction before the calculation of W values.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`backgroundcorrect` in the limma package and `calcA`.

### Examples

    ## Loading the dataset
    data(gastro)

    calcW(gastro.raw)
    calcW(gastro.norm)

[Package maigesPack version 1.4.0 Index]